Package com.google.protobuf

# Interface DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.ExtensionRangeOptions.Declaration`, `DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`

Enclosing class:
  `DescriptorProtos.ExtensionRangeOptions`

public static interface DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`ByteString`
`getFullNameBytes()`
`optional string full_name = 2 [json_name = "fullName"];`
`int`
`getNumber()`
`optional int32 number = 1 [json_name = "number"];`
`boolean`
`getRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`boolean`
`getReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`String`
`getType()`
`optional string type = 3 [json_name = "type"];`
`ByteString`
`getTypeBytes()`
`optional string type = 3 [json_name = "type"];`
`boolean`
`hasFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`boolean`
`hasNumber()`
`optional int32 number = 1 [json_name = "number"];`
`boolean`
`hasRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`boolean`
`hasReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`boolean`
`hasType()`
`optional string type = 3 [json_name = "type"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasNumber

boolean hasNumber()
`optional int32 number = 1 [json_name = "number"];`

Returns:
  Whether the number field is set.

### getNumber

int getNumber()
`optional int32 number = 1 [json_name = "number"];`

Returns:
  The number.

### hasFullName

boolean hasFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Returns:
  Whether the fullName field is set.

### getFullName

String getFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Returns:
  The fullName.

### getFullNameBytes

ByteString getFullNameBytes()
`optional string full_name = 2 [json_name = "fullName"];`

Returns:
  The bytes for fullName.

### hasType

boolean hasType()
`optional string type = 3 [json_name = "type"];`

Returns:
  Whether the type field is set.

### getType

String getType()
`optional string type = 3 [json_name = "type"];`

Returns:
  The type.

### getTypeBytes

ByteString getTypeBytes()
`optional string type = 3 [json_name = "type"];`

Returns:
  The bytes for type.

### hasReserved

boolean hasReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Returns:
  Whether the reserved field is set.

### getReserved

boolean getReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Returns:
  The reserved.

### hasRepeated

boolean hasRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Returns:
  Whether the repeated field is set.

### getRepeated

boolean getRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Returns:
  The repeated.